#
# spec file for package pam_radius
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pam_radius
Version:        1.4.0
Release:        4.4
Summary:        A PAM Module for User Authentication using a Radius Server
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://freeradius.org/pam_radius_auth/
Source:         ftp://ftp.freeradius.org/pub/radius/%{name}-%{version}.tar.gz
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pam-devel
Requires:       pam

%description
This is the PAM to RADIUS authentication module. It allows any PAM-capable
machine to become a RADIUS client for authentication and accounting
requests. You will need a RADIUS server to perform the actual
authentication.

%prep
%setup -q

%build
%configure

export CFLAGS="%{optflags} -fPIC"
make %{?_smp_mflags}

%install
install -d -m 755 %{buildroot}/%{_lib}/security/
install -m 755 pam_radius_auth.so %{buildroot}/%{_lib}/security/
install -d -m 750 %{buildroot}%{_sysconfdir}/raddb/
install -m 600 pam_radius_auth.conf %{buildroot}%{_sysconfdir}/raddb/server

%files
%defattr(-,root,root)
%doc Changelog LICENSE README.rst TODO USAGE index.html pam_radius_auth.conf
%attr(750,root,radiusd) %dir %{_sysconfdir}/raddb/
%config(noreplace) %{_sysconfdir}/raddb/server
/%{_lib}/security/pam_radius_auth.so

%changelog
* Mon Apr  6 2015 aj@ajaissle.de
- Some spec cleanups
* Sun Mar  8 2015 p.drouand@gmail.com
- Update to version 1.4.0
  * The entry of the ChangeLog for this version is empty
- Use %%configure macro
- Enable parallel build with %%{?_smp_mflags}
- Remove obsolete patches
  * pam_radius-1.3.16.diff
  * pam_radius-md5-ppc-fix.patch
- Use download Url as source
- Remove obsolete AUTHORS section
- Do not copy INSTALL file into the package
* Fri May 31 2013 varkoly@suse.com
- Fix /etc/raddb attributes to avoid conflict with freeradius-server
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Jun 24 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Feb 27 2008 jdelvare@suse.de
- Fix MD5 support on PPC (360648).
* Wed May 17 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Fix linking of shared library.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Nov 28 2003 stark@suse.de
- update to 1.3.16
  * Added dummy pam_sm_acct_mgmt() function, which is
    needed by pppd 2.4
  * Increase the allowed length of user names
* Mon Aug 18 2003 stark@suse.de
- packaged /etc/raddb with mode 755 (#29062)
* Wed Jun 12 2002 stark@suse.de
- update to version 1.3.15
  * Bug fix: don't try to free() static storage when using
    skip_passwd
  * Implement retry option
- use %%{_lib} for 32/64bit coexistence
* Tue Sep 18 2001 stark@suse.de
- update to version 1.3.14:
  - Solaris 8 changed their header files for PAM.                                 - Bug fix to work on HURD: Don't use PATH_MAX.
* Wed May 23 2001 stark@suse.de
- update to version 1.3.13
* Tue Mar 13 2001 stark@suse.de
- update to version 1.3.12 (security fixes)
* Thu Jan  4 2001 stark@suse.de
- initial package
